---
title: "Get region cities for banner targeting"
type: reference
method: GET
path: /rest-api/banner/{bannerId}/targeting/country/region/city/values.do
tag: "Targeting Rules"
---

# Get region cities for banner targeting

`GET https://YOUR-NETWORK-DOMAIN/rest-api/banner/{bannerId}/targeting/country/region/city/values.do`

Returns available cities for the given country and region.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `bannerId` | integer | yes | `7890` | Unique numeric ID of the banner |

## Query params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `countryCode` | string | yes | `US` | ISO 3166-1 alpha-2 country code |
| `regionName` | string | yes | `California` | Region or state name |

## Responses

- `200` — Success
- `400` — Invalid country code
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Banner not found
- `500` — Internal server error

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/banner/7890/targeting/country/region/city/values.do?countryCode=US&regionName=California' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-banner-targeting-country-region-city-values